function rat_tf = calc_rational_tf_modes(sample_func,depth,num_modes,num_freqs,sigma,order,gamma_func)

rat_tf = struct('num',{},'den',{});
for mode = 1:num_modes
    [gamma,alpha] = find_alpha_and_gamma(sigma,sample_func,mode,depth,mode,gamma_func);
    [num_n, den_n] = gen_rational_tf(num_freqs,alpha,gamma,order,sample_func,mode,depth);
    rat_tf(mode).num = num_n;
    rat_tf(mode).den = den_n;
end
end
