clear all
close all
clc

D = 0.23;
nu = 0.894;

deps = 0.001;
eps = deps:deps:1;


Re = @(V, D, nu) (D./nu.*V);

figure
for v = 1:10:100
    Re_1 =  Re(v,D,nu);
    sens_eps = f_turb_sens_eps(Re_1,eps,D);
    plot(eps,sens_eps), hold on
end

