function data = sample_rn_P0( sample_points, depth, n )

sys = gen_transmission_line_freq_dependant_parameters(sample_points);
Gamma = sys.Gamma;
Y = sys.Y;
L = sys.L;

data = zeros(length(sample_points),length(Gamma{1})^2);
for w = 1:length(sample_points)
    temp = ( ( ((2*n-1)*pi/(2*L))^2*eye(3) + Gamma{w} ) ...
        \ ( 8*L/((2*n-1)^2*pi^2)*Gamma{w}*diag(diag(Y{w})) ) ) ...
        * cos((2*n-1)*pi/(2*L)*depth);
    data(w,:) = [temp(1,:),temp(2,:),temp(3,:)];
end

end

